# install npm packages
bash 'setup npm packages'  do
  node['nodejs-setup']['npm_packages'].each do |package_name|
    Chef::Log.info 'Install node package `package_name`'
    code <<-EOH
      sudo npm install -g #{package_name}
      EOH
  end
  only_if { which(package_name).nil? }
end
